<div class="uploadfilecontainer" (click)="fileInput.click()" appDragDrop (onFileDropped)="uploadFile($event)">
    <input hidden type="file" #fileInput (change)="uploadFile($event.target.files)">
</div>

<!-- Preview -->
<div class="image-preview " *ngIf="previewUrl">
    <img [src]="previewUrl" />             
</div>
